CascadeType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum CascadeType

    java.lang.Object
      java.lang.Enum<CascadeType>
          org.hibernate.annotations.CascadeType

All Implemented Interfaces:
  Serializable, Comparable<CascadeType>

    public enum CascadeType

extends Enum<CascadeType>

Cascade types (can override default EJB3 cascades

Enum Constant Summary
`ALL`
`DELETE`
`DELETE_ORPHAN` Deprecated. use @OneToOne(orphanRemoval=true) or @OneToMany(orphanRemoval=true)
`DETACH`
`EVICT` Deprecated. use javax.persistence.CascadeType.DETACH
`LOCK`
`MERGE`
`PERSIST`
`REFRESH`
`REMOVE`
`REPLICATE`
`SAVE_UPDATE`

Method Summary
`static CascadeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CascadeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final CascadeType ALL

### PERSIST

    public static final CascadeType PERSIST

### MERGE

    public static final CascadeType MERGE

### REMOVE

    public static final CascadeType REMOVE

### REFRESH

    public static final CascadeType REFRESH

### DELETE

    public static final CascadeType DELETE

### SAVE_UPDATE

    public static final CascadeType SAVE_UPDATE

### REPLICATE

    public static final CascadeType REPLICATE

### DELETE_ORPHAN

    @Deprecated
    public static final CascadeType DELETE_ORPHAN

  Deprecated. use @OneToOne(orphanRemoval=true) or @OneToMany(orphanRemoval=true)

### LOCK

    public static final CascadeType LOCK

### EVICT

    @Deprecated
    public static final CascadeType EVICT

  Deprecated. use javax.persistence.CascadeType.DETACH

### DETACH

    public static final CascadeType DETACH

Method Detail

### values

    public static CascadeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CascadeType c : CascadeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CascadeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.